Activity log for bug #1281580

Date Who What changed Old value New value Message
2014-02-18 13:27:02 Attila Hammer bug added bug
2014-03-29 22:37:09 Launchpad Janitor glib2.0 (Ubuntu): status New Confirmed
2014-11-13 11:44:23 starbroken bug added subscriber starbroken
2014-11-13 14:04:15 starbroken summary Glib-compile-schemas utility possible doesn't compibiling right relocatable schemas glib-compile-schemas doesn't compile relocatable schemas
2014-11-13 14:26:35 starbroken description Dear Developers, I using Ubuntu 14.04 development release with GNOME Shell 3.10, and because my wife using too this system, I defined with some settings in a gschema.override file. Everithing is working right, except custom keybindings related settings applying. I added following lines my gsettings.override file: [org.gnome.settings-daemon.plugins.media-keys] www='<Super><Alt>w' email='<Super>e' custom-keybindings = ['/org/gnome/settings-daemon/plugins/media-keys/custom-keybinding/custom0'] [org.gnome.settings-daemon.plugins.media-keys.custom-keybinding:/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/custom0/] name = 'Launch Gedit' command = 'gedit' binding = '<Super>g' My gsettings.override file I putted the /usr/share/glib-2.0/schemas directory. After I added this lines, I ran glib-compile-schemas /usr/share/glib2.0/schemas command, not presented any error messages. Testing purpose I created a new user, logout, and login the new created username. Optimal case the custom keybinding need applying automaticaly, but this is not happened, other defined keybindings applied right. In gnome-control-center keyboard preference pane, keybindings tab the custom shortcuts containing table is empty, containing one row with empty columns. If I ran gsettings list-recursively org.gnome.settings-daemon.plugins.media-keys.custom-keybinding:/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/custom0/ command, the name, command and binding key pairs get empty '' values. If I manual ran following commands, the custom keybinding is created right: gsettings set org.gnome.settings-daemon.plugins.media-keys.custom-keybinding:/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/custom0/ name "Launch Gedit" gsettings set org.gnome.settings-daemon.plugins.media-keys.custom-keybinding:/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/custom0/ command "gedit" gsettings set org.gnome.settings-daemon.plugins.media-keys.custom-keybinding:/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/custom0/ binding "<Super>g" I doing anything wrong when I want adding the custom keybindings related part my schema file, or glib-compile-schemas utility realy not applying this part from the schema file? Attila ProblemType: Bug DistroRelease: Ubuntu 14.04 Package: libglib2.0-bin 2.39.4-0ubuntu1 ProcVersionSignature: Ubuntu 3.13.0-8.28-generic 3.13.2 Uname: Linux 3.13.0-8-generic i686 ApportVersion: 2.13.2-0ubuntu4 Architecture: i386 CurrentDesktop: GNOME Date: Tue Feb 18 13:58:37 2014 InstallationDate: Installed on 2013-12-13 (67 days ago) InstallationMedia: BeLin 3.02 i386 SourcePackage: glib2.0 UpgradeStatus: No upgrade log present (probably fresh install) Dear Developers, I am using the Ubuntu 14.04 development release with the GNOME Shell 3.10 and, because my wife is using this system as well, I defined some settings in a gschema.override file. Everything is working right, except applying settings related to custom key-bindings. I added following lines my gschema.override file: [org.gnome.settings-daemon.plugins.media-keys] www='<Super><Alt>w' email='<Super>e' custom-keybindings = ['/org/gnome/settings-daemon/plugins/media-keys/custom-keybinding/custom0'] [org.gnome.settings-daemon.plugins.media-keys.custom-keybinding:/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/custom0/] name = 'Launch Gedit' command = 'gedit' binding = '<Super>g' I put my gschema.override file in the '/usr/share/glib-2.0/schemas' directory. After I added these lines, I ran 'glib-compile-schemas /usr/share/glib2.0/schemas' and no error was reported. For testing purposes I created a new user, logged out, and logged in with the new user. In the best case, the custom key-binding were applied automatically, but this has not happened. Other defined key-bindings were applied correctly. In the gnome-control-center's key-bindings tab, the table containing custom shortcuts is empty, containing one row with empty columns. Running 'gsettings list-recursively org.gnome.settings-daemon.plugins.media-keys.custom-keybinding:/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/custom0/' shows, the name, command, and binding key pairs contain empty ('') values. If I manually run following commands, the custom key-binding is created correctly: gsettings set org.gnome.settings-daemon.plugins.media-keys.custom-keybinding:/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/custom0/ name "Launch Gedit" gsettings set org.gnome.settings-daemon.plugins.media-keys.custom-keybinding:/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/custom0/ command "gedit" gsettings set org.gnome.settings-daemon.plugins.media-keys.custom-keybinding:/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/custom0/ binding "<Super>g" Am I doing anything wrong when I want to add a custom key-bindings in my schema file, or is 'glib-compile-schemas' really not applying this part from the schema file? Attila ProblemType: Bug DistroRelease: Ubuntu 14.04 Package: libglib2.0-bin 2.39.4-0ubuntu1 ProcVersionSignature: Ubuntu 3.13.0-8.28-generic 3.13.2 Uname: Linux 3.13.0-8-generic i686 ApportVersion: 2.13.2-0ubuntu4 Architecture: i386 CurrentDesktop: GNOME Date: Tue Feb 18 13:58:37 2014 InstallationDate: Installed on 2013-12-13 (67 days ago) InstallationMedia: BeLin 3.02 i386 SourcePackage: glib2.0 UpgradeStatus: No upgrade log present (probably fresh install)
2015-02-25 17:37:06 Eloy Paris bug added subscriber Eloy Paris
2015-06-20 14:20:06 Oliver Sauder bug added subscriber Oliver Sauder
2015-06-20 15:36:09 Oliver Sauder bug watch added https://bugzilla.gnome.org/show_bug.cgi?id=725292
2015-06-20 15:36:09 Oliver Sauder bug task added glib
2015-06-20 17:09:33 Bug Watch Updater glib: status Unknown Confirmed
2015-06-20 17:09:33 Bug Watch Updater glib: importance Unknown Medium
2015-07-15 09:48:27 deepesh bug added subscriber deepesh
2016-03-16 10:05:14 ksamak bug watch added http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=816652
2016-05-11 00:51:17 PJSingh5000 bug added subscriber PJSingh5000
2016-08-10 15:21:16 ksamak bug added subscriber ksamak
2016-08-31 15:39:05 Victor Engmark bug added subscriber Victor Engmark
2017-01-19 20:56:46 XaTTa6bl4 bug added subscriber XaTTa6bl4
2018-05-25 05:13:09 Bug Watch Updater glib: status Confirmed Expired
2018-11-12 05:46:57 Victor Engmark removed subscriber Victor Engmark